# XQilla Simple API Documentation

# ModuleResolver Class Reference

`#include <ModuleResolver.hpp>`

List of all members.

## Public Member Functions

virtual | ~ModuleResolver ()
| virtual destructor, does nothing
virtual bool | resolveModuleLocation (VectorOfStrings *result, const XMLCh *nsUri, const StaticContext *context)=0
| Fills the string vector with a list of locations tht, once assembled, build the module referenced by the given URI.

## Constructor & Destructor Documentation

virtual ModuleResolver::~ModuleResolver | ( |  | ) | `[inline, virtual]`

virtual destructor, does nothing

## Member Function Documentation

virtual bool ModuleResolver::resolveModuleLocation | ( | VectorOfStrings * | result,
|  | const XMLCh * | nsUri,
|  | const StaticContext * | context |
| ) |  |  | `[pure virtual]`

Fills the string vector with a list of locations tht, once assembled, build the module referenced by the given URI.

If the URI is unknown, returns false, otherwise returns true.

The documentation for this class was generated from the following file:

- ModuleResolver.hpp